######################################################################
# This stage install dependencies and build the application          #
######################################################################
FROM node:14.13-stretch as builder
WORKDIR /usr/src/app
ARG API_ENDPOINT

COPY . .
# RUN wget -qO- ${API_ENDPOINT}/db/grammar > grammar.pegjs
RUN wget -qO- http://localhost:30001/db/grammar > grammar.pegjs      
RUN yarn install 
RUN yarn pegjs --format "amd" grammar.pegjs


######################################################################
# This stage download a simple http server and serve the application #
######################################################################
FROM nginx:1.17-alpine
COPY ./nginx-mime.types /etc/nginx/mime.types
COPY ./nginx.conf /etc/nginx/conf.d/default.conf
COPY --from=builder /usr/src/app/grammar.js /var/www/html/grammar.js

EXPOSE 80/tcp